package netscape.net;

import java.io.IOException;
import java.io.InputStream;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.Hashtable;
import netscape.security.AppletSecurity;
import netscape.security.Principal;
import netscape.security.PrivilegeManager;
import netscape.security.Target;
import netscape.security.UserTarget;

public final class Cache {
   private boolean enabled = true;
   private URLConnection conn;

   public Cache(String var1, String var2, String var3) {
      if (this.enabled) {
         try {
            URL var4 = new URL("http://");
            this.conn = (URLConnection)var4.openConnection();
         } catch (Exception var5) {
         }

         var1 = "\\";
         this.conn.openCache(var1, var2, var3, this, 0);
      }
   }

   public Cache(String var1, String var2, String var3, int var4) {
      if (this.enabled) {
         try {
            URL var5 = new URL("http://");
            this.conn = (URLConnection)var5.openConnection();
         } catch (Exception var6) {
         }

         var1 = "\\";
         this.conn.openCache(var1, var2, var3, this, var4);
      }
   }

   public void setMaxSize(int var1) {
      if (this.enabled) {
         PrivilegeManager var2 = AppletSecurity.getPrivilegeManager();
         Principal var3 = PrivilegeManager.getSystemPrincipal();
         UserTarget var4 = (UserTarget)Target.findTarget("SiteArchiveTarget", var3);
         var2.checkPrivilegeEnabled(var4);
         this.conn.setMaxSize(var1);
      }
   }

   public boolean isURLInCache(URL var1) {
      if (!this.enabled) {
         return false;
      } else {
         PrivilegeManager var2 = AppletSecurity.getPrivilegeManager();
         Principal var3 = PrivilegeManager.getSystemPrincipal();
         UserTarget var4 = (UserTarget)Target.findTarget("SiteArchiveTarget", var3);
         var2.checkPrivilegeEnabled(var4);
         return this.conn.isURLInCache(var1.toString()) != null;
      }
   }

   public boolean isURLInCache(String var1) throws MalformedURLException {
      if (!this.enabled) {
         return false;
      } else {
         PrivilegeManager var2 = AppletSecurity.getPrivilegeManager();
         Principal var3 = PrivilegeManager.getSystemPrincipal();
         UserTarget var4 = (UserTarget)Target.findTarget("SiteArchiveTarget", var3);
         var2.checkPrivilegeEnabled(var4);
         new URL(var1);
         return this.conn.isURLInCache(var1) != null;
      }
   }

   public void getURL(URL var1) {
      if (this.enabled) {
         PrivilegeManager var2 = AppletSecurity.getPrivilegeManager();
         Principal var3 = PrivilegeManager.getSystemPrincipal();
         UserTarget var4 = (UserTarget)Target.findTarget("SiteArchiveTarget", var3);
         var2.checkPrivilegeEnabled(var4);
         this.conn.getURL(var1);
      }
   }

   public void getURL(String var1) throws MalformedURLException {
      if (this.enabled) {
         PrivilegeManager var2 = AppletSecurity.getPrivilegeManager();
         Principal var3 = PrivilegeManager.getSystemPrincipal();
         UserTarget var4 = (UserTarget)Target.findTarget("SiteArchiveTarget", var3);
         var2.checkPrivilegeEnabled(var4);
         this.conn.getURL(new URL(var1));
      }
   }

   public void getURL(CacheRequest var1) throws MalformedURLException {
      if (this.enabled) {
         PrivilegeManager var2 = AppletSecurity.getPrivilegeManager();
         Principal var3 = PrivilegeManager.getSystemPrincipal();
         UserTarget var4 = (UserTarget)Target.findTarget("SiteArchiveTarget", var3);
         var2.checkPrivilegeEnabled(var4);
         this.conn.getURL(var1);
      }
   }

   public InputStream getInputStream(CacheRequest var1) throws IOException {
      if (!this.enabled) {
         return null;
      } else {
         PrivilegeManager var2 = AppletSecurity.getPrivilegeManager();
         Principal var3 = PrivilegeManager.getSystemPrincipal();
         UserTarget var4 = (UserTarget)Target.findTarget("SiteArchiveTarget", var3);
         var2.checkPrivilegeEnabled(var4);
         return this.conn.getInputStream(var1);
      }
   }

   public InputStream getInputStream(URL var1) throws IOException {
      if (!this.enabled) {
         return null;
      } else {
         PrivilegeManager var2 = AppletSecurity.getPrivilegeManager();
         Principal var3 = PrivilegeManager.getSystemPrincipal();
         UserTarget var4 = (UserTarget)Target.findTarget("SiteArchiveTarget", var3);
         var2.checkPrivilegeEnabled(var4);
         return this.conn.getInputStream(var1);
      }
   }

   public InputStream getInputStream(String var1) throws MalformedURLException, IOException {
      if (!this.enabled) {
         return null;
      } else {
         PrivilegeManager var2 = AppletSecurity.getPrivilegeManager();
         Principal var3 = PrivilegeManager.getSystemPrincipal();
         UserTarget var4 = (UserTarget)Target.findTarget("SiteArchiveTarget", var3);
         var2.checkPrivilegeEnabled(var4);
         return this.conn.getInputStream(new URL(var1));
      }
   }

   public boolean put(String var1, String var2, Hashtable var3) throws MalformedURLException {
      if (!this.enabled) {
         return false;
      } else {
         new URL(var1);
         PrivilegeManager var4 = AppletSecurity.getPrivilegeManager();
         Principal var5 = PrivilegeManager.getSystemPrincipal();
         UserTarget var6 = (UserTarget)Target.findTarget("SiteArchiveTarget", var5);
         var4.checkPrivilegeEnabled(var6);
         return this.conn.put(var1, var2, var3);
      }
   }

   public void remove(String var1) throws MalformedURLException {
      if (this.enabled) {
         PrivilegeManager var2 = AppletSecurity.getPrivilegeManager();
         Principal var3 = PrivilegeManager.getSystemPrincipal();
         UserTarget var4 = (UserTarget)Target.findTarget("SiteArchiveTarget", var3);
         var2.checkPrivilegeEnabled(var4);
         new URL(var1);
         this.conn.remove(var1);
      }
   }

   public void remove(URL var1) throws MalformedURLException {
      if (this.enabled) {
         PrivilegeManager var2 = AppletSecurity.getPrivilegeManager();
         Principal var3 = PrivilegeManager.getSystemPrincipal();
         UserTarget var4 = (UserTarget)Target.findTarget("SiteArchiveTarget", var3);
         var2.checkPrivilegeEnabled(var4);
         this.conn.remove(var1.toString());
      }
   }

   public void clear() {
      if (this.enabled) {
         PrivilegeManager var1 = AppletSecurity.getPrivilegeManager();
         Principal var2 = PrivilegeManager.getSystemPrincipal();
         UserTarget var3 = (UserTarget)Target.findTarget("SiteArchiveTarget", var2);
         var1.checkPrivilegeEnabled(var3);
         this.conn.clear();
      }
   }

   public void delete() {
      if (this.enabled) {
         PrivilegeManager var1 = AppletSecurity.getPrivilegeManager();
         Principal var2 = PrivilegeManager.getSystemPrincipal();
         UserTarget var3 = (UserTarget)Target.findTarget("SiteArchiveTarget", var2);
         var1.checkPrivilegeEnabled(var3);
         this.conn.delete();
      }
   }

   public void close() {
      if (this.enabled) {
         this.conn.closeCache();
      }
   }
}
