package netscape.net;

import java.net.MalformedURLException;
import java.net.URL;

public class CacheRequest {
   public static final String LOCATION = "Location";
   public static final String CONTENT_TYPE = "Content-type";
   public static final String CONTENT_LENGTH = "Content-length";
   public static final String LAST_MODIFIED = "Last-modified";
   public static final String EXPIRES = "Expires";
   String url;
   String location;
   String contentType;
   String contentLength;
   String lastModified;
   String expires;
   String mimeTypeHint;

   public CacheRequest(String var1) {
      this.url = var1;
   }

   public URL getURL() throws MalformedURLException {
      return new URL(this.url);
   }

   public String getLastModified() {
      return this.lastModified;
   }

   public String getLocation() {
      return this.location;
   }

   public String getContentType() {
      return this.contentType;
   }

   public String getContentLength() {
      return this.contentLength;
   }

   public String getExpires() {
      return this.expires;
   }

   public String getMimeTypeHint() {
      return this.mimeTypeHint;
   }

   public void setLastModified(String var1) {
      this.lastModified = var1;
   }

   public void setLocation(String var1) {
      this.location = var1;
   }

   public void setContentType(String var1) {
      this.contentType = var1;
   }

   public void setContentLength(String var1) {
      this.contentLength = var1;
   }

   public void setExpires(String var1) {
      this.expires = var1;
   }

   public void setMimeTypeHint(String var1) {
      this.mimeTypeHint = var1;
   }
}
